Summary: Allows restricted root access for specified users
Name: sudo
Version: 1.7.5
Release: 1
License: BSD
Group: Applications/System
URL: http://www.courtesan.com/sudo/
Source0: http://www.courtesan.com/sudo/dist/%{name}-%{version}.tar.gz
Source1: http://www.courtesan.com/sudo/dist/%{name}-%{version}.tar.gz.sig
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel
Requires: zlib

%description
Sudo (superuser do) allows a system administrator to give certain
users (or groups of users) the ability to run some (or all) commands
as root while logging all commands and arguments. Sudo operates on a
per-command basis.  It is not a replacement for the shell.  Features
include: the ability to restrict what commands a user may run on a
per-host basis, copious logging of each command (providing a clear
audit trail of who did what), a configurable timeout of the sudo
command, and the ability to use the same configuration file (sudoers)
on many different machines.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --sbindir=%{_sbindir} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --with-logging=syslog \
    --with-logfac=auth \
    --without-pam \
    --with-env-editor \
    --with-ignore-dot \
    --with-authenticate \
    --with-aixauth \
    --with-tty-tickets
make %{?_smp_mflags}

# hack to get sudo_noexec.so installed
cd .libs
ln -s libsudo_noexec.so sudo_noexec.so


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :

chmod 0755 ${RPM_BUILD_ROOT}%{_sbindir}/* 

mkdir -p ${RPM_BUILD_ROOT}/var/run/%{name}
chmod 0700 ${RPM_BUILD_ROOT}/var/run/%{name}

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin sbin
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


# Make sure permissions are ok even if we're updating
%post
/usr/bin/chmod 0440 /etc/sudoers || :


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc HISTORY LICENSE README TROUBLESHOOTING UPGRADE *.pod
%attr(0440,root,system) %config(noreplace) /etc/sudoers
%dir /var/run/sudo
%attr(4111,root,system) %{_bindir}/sudo
%attr(4111,root,system) %{_bindir}/sudoedit
%attr(4111,root,system) %{_bindir}/sudoreplay
%attr(0755,root,system) %{_sbindir}/visudo
%{_libexecdir}/sudo_noexec.*
%{_mandir}/man?/*
/usr/bin/*
/usr/sbin/*


%changelog
* Mon Mar 07 2011 Michael Perzl <michael@perzl.org> - 1.7.5-1
- updated to version 1.7.5

* Tue Jan 25 2011 Michael Perzl <michael@perzl.org> - 1.7.4p6-1
- updated to version 1.7.4p6

* Wed Jan 19 2011 Michael Perzl <michael@perzl.org> - 1.7.4p5-1
- updated to version 1.7.4p5

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 1.7.4p4-1
- updated to version 1.7.4p4

* Mon Aug 09 2010 Michael Perzl <michael@perzl.org> - 1.7.4p2-1
- updated to version 1.7.4p2

* Tue Aug 03 2010 Michael Perzl <michael@perzl.org> - 1.7.4-1
- updated to version 1.7.4

* Wed Jul 01 2010 Michael Perzl <michael@perzl.org> - 1.7.3-1
- updated to version 1.7.3

* Wed Jul 01 2010 Michael Perzl <michael@perzl.org> - 1.7.2p8-1
- updated to version 1.7.2p8

* Tue Jun 22 2010 Michael Perzl <michael@perzl.org> - 1.7.2p7-1
- updated to version 1.7.2p7

* Sun Mar 07 2010 Michael Perzl <michael@perzl.org> - 1.7.2p5-1
- updated to version 1.7.2p5

* Mon Mar 01 2010 Michael Perzl <michael@perzl.org> - 1.7.2p4-1
- updated to version 1.7.2p4

* Sun Feb 21 2010 Michael Perzl <michael@perzl.org> - 1.7.2p3-1
- updated to version 1.7.2p3

* Tue Dec 08 2009 Michael Perzl <michael@perzl.org> - 1.7.2p2-1
- updated to version 1.7.2p2

* Fri Aug 14 2009 Michael Perzl <michael@perzl.org> - 1.7.2p1-1
- updated to version 1.7.2p1

* Tue Jul 14 2009 Michael Perzl <michael@perzl.org> - 1.7.2-1
- updated to version 1.7.2

* Mon Apr 20 2009 Michael Perzl <michael@perzl.org> - 1.7.1-1
- updated to version 1.7.1

* Mon Dec 22 2008 Michael Perzl <michael@perzl.org> - 1.7.0-1
- updated to version 1.7.0

* Sat Nov 15 2008 Michael Perzl <michael@perzl.org> - 1.7.0rc5-1
- updated to version 1.7.0rc5

* Wed Jul 16 2008 Michael Perzl <michael@perzl.org> - 1.7.0rc2-1
- updated to version 1.7.0rc2

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 1.7b4-1
- updated to version 1.7b4

* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 1.6.9p15-1
- updated to version 1.6.9p15

* Mon Mar 24 2008 Michael Perzl <michael@perzl.org> - 1.6.9p14-1
- first version for AIX V5.1 and higher
